Bug 838937 - [Storage] VM that has only shared disks can not be exported to Export SD.
[Storage] VM that has only shared disks can not be exported to Export SD.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified All
high Severity high
: ---
: 3.1.0
Assigned To: Liron Aravot
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 09:25 EDT by Leonid Natapov
Modified: 2016-02-10 12:01 EST (History)
9 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-07-10 09:25:51 EDT
[Storage] VM that has only shared disks can not be exported to another SD.

How to repdoduce:
1.Create VM.
2.Attach shared disk to it.
3.Try to export this VM to export SD.

You won't get any CanDoAction but only  error in the events:
Failed to export VM A to X.

Here is engine.log
-------------------
2012-07-10 16:18:54,800 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-3) START, GetVmsInfoVDSCommand(storagePoolId = 0348b2d6-c690-11e1-8759-63801f9f7df6, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = c68bde17-edf6-41c8-b8b5-bcba80b37138, vmIdList = null), log id: 672fc60e
2012-07-10 16:18:54,821 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-3) FINISH, GetVmsInfoVDSCommand, log id: 672fc60e
2012-07-10 16:18:56,345 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-7) START, GetVmsInfoVDSCommand(storagePoolId = 0348b2d6-c690-11e1-8759-63801f9f7df6, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = c68bde17-edf6-41c8-b8b5-bcba80b37138, vmIdList = null), log id: 3299dec9
2012-07-10 16:18:56,369 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-7) FINISH, GetVmsInfoVDSCommand, log id: 3299dec9
2012-07-10 16:18:56,468 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-5) START, GetVmsInfoVDSCommand(storagePoolId = 0348b2d6-c690-11e1-8759-63801f9f7df6, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = c68bde17-edf6-41c8-b8b5-bcba80b37138, vmIdList = null), log id: 4b7d8433
2012-07-10 16:18:56,494 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-5) FINISH, GetVmsInfoVDSCommand, log id: 4b7d8433
2012-07-10 16:18:56,564 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-5) START, GetVmsInfoVDSCommand(storagePoolId = 0348b2d6-c690-11e1-8759-63801f9f7df6, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = c68bde17-edf6-41c8-b8b5-bcba80b37138, vmIdList = null), log id: 4cacecb1
2012-07-10 16:18:56,591 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetVmsInfoVDSCommand] (ajp--0.0.0.0-8009-5) FINISH, GetVmsInfoVDSCommand, log id: 4cacecb1
2012-07-10 16:18:56,726 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp--0.0.0.0-8009-5) START, IsValidVDSCommand(storagePoolId = 0348b2d6-c690-11e1-8759-63801f9f7df6, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 2101f18d
2012-07-10 16:18:56,733 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp--0.0.0.0-8009-5) FINISH, IsValidVDSCommand, return: true, log id: 2101f18d
2012-07-10 16:18:56,816 INFO  [org.ovirt.engine.core.bll.ExportVmCommand] (pool-3-thread-50) [6dd19703] Running command: ExportVmCommand internal: false. Entities affected :  ID: c68bde17-edf6-41c8-b8b5-bcba80b37138 Type: Storage
2012-07-10 16:18:56,822 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (pool-3-thread-50) [6dd19703] START, SetVmStatusVDSCommand(vmId = 35e3e110-36f2-44d2-a3e3-85a75ed5b9be, status = ImageLocked), log id: 236fc976
2012-07-10 16:18:56,828 INFO  [org.ovirt.engine.core.vdsbroker.SetVmStatusVDSCommand] (pool-3-thread-50) [6dd19703] FINISH, SetVmStatusVDSCommand, log id: 236fc976
2012-07-10 16:18:56,843 INFO  [org.ovirt.engine.core.bll.ExportVmCommand] (pool-3-thread-50) [6dd19703] Command [id=03d1318e-a07a-4ebc-a31b-77db712b8355]: Compensating CHANGED_STATUS_ONLY of org.ovirt.engine.core.common.businessentities.VmDynamic; snapshot: EntityStatusSnapshot [id=35e3e110-36f2-44d2-a3e3-85a75ed5b9be, status=Down].
Comment 1 Ayal Baron 2012-07-11 06:51:56 EDT
No reason to block this operation it should succeed.
Also for diskless VMs or VMs containing only non "snappable" disks
Comment 2 Liron Aravot 2012-07-19 10:09:59 EDT
submitted patch http://gerrit.ovirt.org/#/c/6379/ to solve
Comment 3 Allon Mureinik 2012-08-27 06:25:40 EDT
mereged Change-Id: I77565ffd66134b44d15f66cfdfa97422e3c11fb2
Comment 4 Leonid Natapov 2012-09-06 05:01:19 EDT
si17. Successfully managed to export VM with shared disk only.

Note You need to log in before you can comment on or make changes to this bug.